<template> 
    <el-row :gutter="10">
        <el-col :span="8">
            <el-collapse v-model="activeNames">
                <el-collapse-item title="仓库二层" name="1">
                    <el-card class="box-card" shadow="hover">
                        <el-switch v-model="state.boRunningState" active-text="" inactive-text="托盘输送"
                            @change=""></el-switch>
                    </el-card>
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-switch active-text="" inactive-text="拆跺机器人1"
                            @change=""></el-switch>
                    </el-card> 
                    
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-switch active-text="" inactive-text="拆跺机器人2"
                            @change=""></el-switch>
                    </el-card> 
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-switch active-text="" inactive-text="件箱输送"
                            @change=""></el-switch>
                    </el-card> 
                </el-collapse-item>
            </el-collapse> 
		</el-col>
        
        <el-col :span="8">
            <el-collapse v-model="activeNames2">
                <el-collapse-item title="仓库二层" name="2">
                    <el-card class="box-card" shadow="hover">
                        <el-switch active-text="" inactive-text="托盘输送"
                            @change=""></el-switch>
                    </el-card>
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-switch active-text="" inactive-text="码垛机器人1"
                            @change=""></el-switch>
                    </el-card> 
                    
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-switch active-text="" inactive-text="码垛机器人2"
                            @change=""></el-switch>
                    </el-card> 
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-switch active-text="" inactive-text="件箱输送"
                            @change=""></el-switch>
                    </el-card> 
                </el-collapse-item>
            </el-collapse>
        </el-col>

        <el-col :span="8">
            <el-collapse v-model="activeNames3">
                <el-collapse-item title="仓库三层" name="3">
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-switch active-text="" inactive-text="托盘输送"
                            @change=""></el-switch>
                    </el-card>
                </el-collapse-item>
            </el-collapse>
        </el-col>

    </el-row>
    
</template>

<script lang="ts" setup>

import { ref } from 'vue';

const activeNames = ref(['1'])
const activeNames2 = ref(['2'])
const activeNames3= ref(['3'])

const state = ref<any>({});




</script>

<style scoped>

.layout-parent > div:first-child{
    flex-direction:row;
}

</style>

